PRETTYPLOT(1e)

NAME
prettyplot - Draw a sequence alignment with pretty formatting

SYNOPSIS

prettyplot -sequences seqset [-matrixfile matrix] [-residuesperline integer] [-resbreak integer] [-ccolours boolean] [-cidentity string] [-csimilarity string] [-cother string] [-docolour boolean] [-shade string] [-pair array] [-identity integer] [-box boolean] [-boxcol boolean] [-boxuse string] [-name boolean] [-maxnamelen integer] [-number boolean] [-listoptions boolean] [-plurality float] [-consensus boolean] [-collision boolean] [-alternative list] [-showscore integer] [-portrait boolean] -graph graph

prettyplot -help

DESCRIPTION

prettyplot is a command line program from EMBOSS (“the European Molecular Biology Open Software Suite”). It is part of the "Alignment:Multiple,Display" command group(s).

OPTIONS

  Input section

-sequences seqset

-matrixfile matrix
    This is the scoring matrix file used when comparing sequences. By default it is the file 'EBLOSUM62' (for proteins) or the file 'EDNAFULL' (for nucleic sequences). These files are found in the 'data' directory of the EMBOSS installation.

  Additional section

-residuesperline integer
    The number of residues to be displayed on each line Default value: 50

-resbreak integer
    Default value: $(residuesperline)

-ccolours boolean
    Default value: Y

-cidentity string
    Default value: RED

-csimilarity string
    Default value: GREEN

-cother string
    Default value: BLACK

-docolour boolean
    Default value: N

-shade string
    Set to BPLW for normal shading (black, pale, light, white) so for pair = 1.5,1.0,0.5 and shade = BPLW Residues score Colour 1.5 or over... BLACK (B) 1.0 to 1.5 ... BROWN (P) 0.5 to 1.0 ... WHEAT (L) under 0.5 .... WHITE (W) The only four letters allowed are BPLW, in any order.

-pair array
    Default value: 1.5,1.0,0.5

-identity integer

-box boolean
    Default value: Y

-boxcol boolean
    Default value: N

-boxuse string
    Default value: GREY

-name boolean
    Default value: Y

-maxnamelen integer
    Default value: 10

-number boolean
    Default value: Y

-listoptions boolean
    Default value: Y

-plurality float
    Default value: @( $(sequences.totweight) / 2)

  Consensus section

-consensus boolean
    Default value: N

-collision boolean
    Default value: Y

-alternative list
    Values are 0:Normal collision check. (default) 1:Compares identical scores with the max score found. So if any other residue matches the identical score then a collision has occurred. 2:If another residue has a greater than or equal to matching score and these do not match then a collision has occurred. 3:Checks all those not in the current consensus.If any of these give a top score for matching or identical scores then a collision has occured.

-showscore integer
    Default value: -1

-portrait boolean
    Default value: N

  Output section

-graph graph

BUGS

Bugs can be reported to the Debian Bug Tracking system (http://bugs.debian.org/emboss), or directly to the EMBOSS developers (http://sourceforge.net/tracker/?group_id=93650&atid=605031).

SEE ALSO

prettyplot is fully documented via the tfm(1) system.

AUTHOR

Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
    Wrote the script used to autogenerate this manual page.

COPYRIGHT

This manual page was autogenerated from an Ajax Control Definition of the EMBOSS package. It can be redistributed under the same terms as EMBOSS itself.